Uses of Class
groovyx.net.http.URIBuilder

Packages that use URIBuilder
groovyx.net.http HTTPBuilder provides a simple Groovy API for HTTP and REST client operations. 
 

Uses of URIBuilder in groovyx.net.http
 

Fields in groovyx.net.http declared as URIBuilder
protected  URIBuilder HTTPBuilder.defaultURI
           
 

Methods in groovyx.net.http that return URIBuilder
protected  URIBuilder URIBuilder.addQueryParam(NameValuePair nvp)
           
 URIBuilder URIBuilder.addQueryParam(String param, Object value)
          This will append a query parameter to the existing query string.
protected  URIBuilder URIBuilder.addQueryParams(List<NameValuePair> nvp)
           
 URIBuilder URIBuilder.addQueryParams(Map<?,?> params)
          Add these parameters to the URIBuilder's existing query string.
protected  URIBuilder URIBuilder.clone()
          Create a copy of this URIBuilder instance.
 URIBuilder HTTPBuilder.RequestConfigDelegate.getUri()
          Use this object to manipulate parts of the request URI, like query params and request path.
 URIBuilder URIBuilder.removeQueryParam(String param)
          Remove the given query parameter from this URI's query string.
 URIBuilder URIBuilder.setFragment(String fragment)
          The document fragment, without a preceeding '#'.
 URIBuilder URIBuilder.setHost(String host)
          Set the host portion of this URI.
 URIBuilder URIBuilder.setPath(String path)
          Set the path component of this URI.
 URIBuilder URIBuilder.setPort(int port)
          Set the port for this URI, or -1 to unset the port.
 URIBuilder URIBuilder.setQuery(Map<?,?> params)
          Set the query portion of the URI.
protected  URIBuilder URIBuilder.setQueryNVP(List<NameValuePair> nvp)
           
 URIBuilder URIBuilder.setRawQuery(String query)
          Set the raw, already-escaped query string.
 URIBuilder URIBuilder.setScheme(String scheme)
          Set the URI scheme, AKA the 'protocol.' e.g.
 URIBuilder URIBuilder.setUserInfo(String userInfo)
          Set the userInfo portion of the URI, or null if the URI should have no user information.
 



Copyright © 2008-2011. All Rights Reserved.